intactGraph-class {Rintact} | R Documentation

## Class "intactGraph"

### Description

A class representing the IntAct data as a graph. It is a superclass of the graph class.

### Objects from the Class

Objects are usually created by `intactXML2Graph`.

### Slots

`interactors`:
  matrix, Each row represents one interactor. IntAct IDs are used as row names. Each column represents one annotation. Annotations include: UniProt ID, gene symbol, full name, locus name, ORF name, organism name, and NCBI taxonomy ID. Only those interactors which are the nodes of the intactGraph is given.

### Methods

show
  `signature(object = "intactGraph")`: a print method
translateIntactID
  `signature(object = "intactGraph")`: a method to translate IntAct codes to the various annotations.
translateNodeID
  `signature(object = "intactGraph")`: a method that takes an intactGraph and translates each node ID from the IntAct accension IDs to any other supported identifier.

### Author(s)

T Chiang

### See Also

`intactXML2Graph`

[Package Rintact version 1.4.0 Index]